Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2
Class StrutsPortletTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.opensymphony.xwork2.XWorkTestCase
                  org.apache.struts2.StrutsTestCase
                      org.apache.struts2.StrutsPortletTestCase

All Implemented Interfaces:
  junit.framework.Test

    public abstract class StrutsPortletTestCase

extends StrutsTestCase

Base class used to test action in portlet environment

Field Summary
`protected org.apache.struts2.MockContext` | `portletContext`
`protected org.springframework.mock.web.portlet.MockPortletRequest` | `portletRequest`
`protected org.springframework.mock.web.portlet.MockPortletResponse` | `portletResponse`
`protected org.springframework.mock.web.portlet.MockPortletSession` | `portletSession`

Fields inherited from class org.apache.struts2.StrutsTestCase
`dispatcher, dispatcherInitParams, pageContext, request, resourceLoader, response, servletContext`

Fields inherited from class com.opensymphony.xwork2.XWorkTestCase
`actionProxyFactory, configuration, configurationManager, container`

Constructor Summary
`StrutsPortletTestCase()`

Method Summary
`protected int` | `getMajorVersion()` Override to define version of your portlet environment
`protected void` | `initActionContext(com.opensymphony.xwork2.ActionContext actionContext)`
`protected void` | `initPortletContext(com.opensymphony.xwork2.ActionContext actionContext)`

Methods inherited from class org.apache.struts2.StrutsTestCase
`applyAdditionalParams, executeAction, findValueAfterExecute, getActionMapping, getActionMapping, getActionProxy, initDispatcher, initServletMockObjects, initSession, injectStrutsDependencies, setUp, setupAfterInitDispatcher, setupBeforeInitDispatcher, tearDown`

Methods inherited from class com.opensymphony.xwork2.XWorkTestCase
`loadButAdd, loadButAdd, loadConfigurationProviders`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### portletSession

    protected org.springframework.mock.web.portlet.MockPortletSession portletSession

### portletRequest

    protected org.springframework.mock.web.portlet.MockPortletRequest portletRequest

### portletResponse

    protected org.springframework.mock.web.portlet.MockPortletResponse portletResponse

### portletContext

    protected org.apache.struts2.MockContext portletContext

Constructor Detail

### StrutsPortletTestCase

    public StrutsPortletTestCase()

Method Detail

### initActionContext

    protected void initActionContext(com.opensymphony.xwork2.ActionContext actionContext)

  Overrides:
    `initActionContext` in class `StrutsTestCase`

### initPortletContext

    protected void initPortletContext(com.opensymphony.xwork2.ActionContext actionContext)

### getMajorVersion

    protected int getMajorVersion()

  Override to define version of your portlet environment

  Returns:
    portlet version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.